Can't upgrade from a release if ros packages are installed from ROS servers

Bug #1611737 reported by Pushin Sikuntagasamit
This bug affects 169 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Kyle Fazzari
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Brian Murray
Groovy
Undecided
Kyle Fazzari

Bug Description

[Impact]

 * ROS releases are strict about the Ubuntu releases they support. These days a given ROS release only supports one Ubuntu LTS.

 * Attempting to upgrade Ubuntu beyond that supported release at best results in an unsupported situation, and at worst is known to break the upgrade process as it's possible to get apt into an unrecoverable situation.

 * The fix for this issue is to detect if ROS is installed and make sure the user is aware that this may not succeed.

[Test Case]

 * The dependency problems that lead to apt breakage is very deep and hard to duplicate, but to paint with a broad brush: if a ROS package is installed, extreme caution should be exercised when upgrading as it's very likely that it's not supported.

 * To install ROS, follow the proper tutorial for your Ubuntu version, and install the "ros-base" metapackage:
   - Xenial: https://wiki.ros.org/kinetic/Installation/Ubuntu
   - Bionic: https://wiki.ros.org/melodic/Installation/Ubuntu
   - Focal: https://wiki.ros.org/noetic/Installation/Ubuntu

 * Now use ubuntu-release-upgrader to upgrade to the next Ubuntu release. Such a thing should not happen without prompting the user that ROS is installed and that this may lead to problems.

[Regression Potential]

 * Detecting that ROS is installed is done with a package name heuristic, which isn't perfect. We look for a set of base ROS dependencies using a pattern that is unlikely to clash with a non-ROS-related package, but it's possible for this to result in a false positive. Worst case, the user will be warned that ROS is installed when in fact it isn't, but they'll still be able to continue the upgrade.

Related branches

Revision history for this message
Pushin Sikuntagasamit (pushin) wrote :
summary: - Error message in the end of upgrade process
+ Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full installed
+ from ROS servers
Revision history for this message
Launchpad Janitor (janitor) wrote : Re: Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full installed from ROS servers

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
summary: - Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full installed
- from ROS servers
+ Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-
+ indigo-perception installed from ROS servers
tags: added: trusty2xenial
Revision history for this message
LaunchpadLoginDefectReport (nagle-1) wrote : Re: Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-indigo-perception installed from ROS servers

I'd reported a similar problem at Bug #1637781. I uninstalled all ros-indigo packages while leaving ros-jade installed, but still got "Could not calculate the upgrade" when attempting to upgrade 14.04 LTS to 16.04 LTS.

So this may be a problem with ros-jade as well as the older ros-indigo.

tags: added: bugpattern-written
Revision history for this message
LaunchpadLoginDefectReport (nagle-1) wrote :

Does the ROS crowd read this? Or does this need to be reported somewhere else?

Revision history for this message
Mohamed Zouhair HARBACHI (mohamed.harbachi) wrote : Re: [Bug 1611737] Re: Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-indigo-perception installed from ROS servers

I don't understand the questions. Can you explain please ?

Le 13 ينا, 2017 à م 09:07, LaunchpadLoginDefectReport a écrit :
> Does the ROS crowd read this? Or does this need to be reported somewhere
> else?

Revision history for this message
Pinar Demetci (pinar) wrote :

I am not sure if the question was directed at me, but in case it was, I
will explain my situation:

When the upgrade to 16.06 was available for Ubuntu (I currently have
14.04), I tried to upgrade a few times. However, I kept getting the
following error:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command
'ubuntu-bug ubuntu-release-upgrader-core' in a terminal.

When I reported it to Ubuntu, I encountered other error reports with the
exact same description. They indicated that the error was due to some
conflict with the ros-indigo package. I do have this package, too. So this
may fall into the third category above: "Unofficial software packages not
provided by Ubuntu". However, I don't know why the conflict arises. Since I
need ros-indigo for certain projects, I never tried to uninstall it and
upgrade.

I am sorry for the limited information I have. Unfortunately, this is all I
know about the error.

Thanks,
Pinar.

On Sat, Jan 14, 2017 at 8:01 AM, Mohamed Zouhair HARBACHI <
<email address hidden>> wrote:

> I don't understand the questions. Can you explain please ?
>
>
> Le 13 ينا, 2017 à م 09:07, LaunchpadLoginDefectReport a écrit :
> > Does the ROS crowd read this? Or does this need to be reported somewhere
> > else?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1612947).
> https://bugs.launchpad.net/bugs/1611737
>
> Title:
> Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-
> indigo-perception installed from ROS servers
>
> Status in ubuntu-release-upgrader package in Ubuntu:
> Confirmed
>
> Bug description:
> This message was appear when upgrade
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: ubuntu-release-upgrader-core 1:0.220.8
> ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
> Uname: Linux 3.19.0-66-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.14.1-0ubuntu3.21
> Architecture: amd64
> CrashDB: ubuntu
> CurrentDesktop: Unity
> Date: Wed Aug 10 18:41:24 2016
> InstallationDate: Installed on 2015-09-08 (336 days ago)
> InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64
> (20150805)
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-
> upgrader/+bug/1611737/+subscriptions
>

Revision history for this message
Mohamed Zouhair HARBACHI (mohamed.harbachi) wrote :
Download full text (3.6 KiB)

Thank you Pinar for your answer.

I am not working with Ubuntu team, but I received the mail :

Does the ROS crowd read this? Or does this need to be reported somewhere
else?

As I taught it was for me, I answered.

But as I met the same problem I will share with you my experience:

Indeed, it's a ROS problem.
I tried a lot of things to solve the problem, but all failed.
I reported the problem to Ubuntu, but the answer took times to come.
So I saved all my data in an external hard drive and formatted the disk
with the version 16 of Ubuntu.
Unlike Windows, when one install Ubuntu, a set of useful softwares
installs automatically with, so I did not have much to install and
configure behind, then things went fast.

Best regards

Mohamed Zouhair HARBACHI

Le 14 ينا, 2017 à م 02:53, Pinar Demetci a écrit :
> I am not sure if the question was directed at me, but in case it was, I
> will explain my situation:
>
> When the upgrade to 16.06 was available for Ubuntu (I currently have
> 14.04), I tried to upgrade a few times. However, I kept getting the
> following error:
>
> Could not calculate the upgrade
>
> An unresolvable problem occurred while calculating the upgrade.
>
> This can be caused by:
> * Upgrading to a pre-release version of Ubuntu
> * Running the current pre-release version of Ubuntu
> * Unofficial software packages not provided by Ubuntu
>
> If none of this applies, then please report this bug using the command
> 'ubuntu-bug ubuntu-release-upgrader-core' in a terminal.
>
> When I reported it to Ubuntu, I encountered other error reports with the
> exact same description. They indicated that the error was due to some
> conflict with the ros-indigo package. I do have this package, too. So this
> may fall into the third category above: "Unofficial software packages not
> provided by Ubuntu". However, I don't know why the conflict arises. Since I
> need ros-indigo for certain projects, I never tried to uninstall it and
> upgrade.
>
> I am sorry for the limited information I have. Unfortunately, this is all I
> know about the error.
>
> Thanks,
> Pinar.
>
> On Sat, Jan 14, 2017 at 8:01 AM, Mohamed Zouhair HARBACHI <
> <email address hidden>> wrote:
>
>> I don't understand the questions. Can you explain please ?
>>
>>
>> Le 13 ينا, 2017 à م 09:07, LaunchpadLoginDefectReport a écrit :
>>> Does the ROS crowd read this? Or does this need to be reported somewhere
>>> else?
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1612947).
>> https://bugs.launchpad.net/bugs/1611737
>>
>> Title:
>> Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-
>> indigo-perception installed from ROS servers
>>
>> Status in ubuntu-release-upgrader package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> This message was appear when upgrade
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: ubuntu-release-upgrader-core 1:0.220.8
>> ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
>> Uname: Linux 3.19.0-66-generic x86_64
>> NonfreeKernelModules: nvidia
>> ApportVersion: 2.14.1-0ubuntu3.21
>> Architecture: amd64
>>...

Read more...

summary: - Can't upgrade from 14.04 to 16.04 if ros-indigo-desktop-full or ros-
- indigo-perception installed from ROS servers
+ Can't upgrade from a release if ros packages are installed from ROS
+ servers
Revision history for this message
Jose Luis Rivero (j-rivero) wrote :

Before going down into particular cases, I would like to point that every ROS Release supports only a few subset of the Ubuntu distributions (see REP3 http://www.ros.org/reps/rep-0003.html#platforms-by-distribution).

This makes some upgrades technically not possible since there could not be packages in the ROS repositories available for the new distribution in an upgrade process. For example, there is no a single ROS Release that support 14.04 and 16.04. I can not see a safe/straightforward upgrade path.

If this is not the case, from Open Robotics we are happy help if something can be done in ROS packages or repositories.

Revision history for this message
decoder (decodermail) wrote : Re: [Bug 1611737] Re: Can't upgrade from a release if ros packages are installed from ROS servers

Thanks, I already on 18.04. After uninstalling ROS, do-release-upgrade -d
starts works properly. But there is an another problem in upgrade proccess.
I have zfs raid as data storage. And after rebuting new kernel was unable
to load. Problem solves by by buting in old kernel and export-uninstall zfs
and install-import in new kernel.
Thanks for help with ROS packages!

пт, 4 мая 2018 г., 22:45 Jose Luis Rivero <email address hidden>:

> Before going down into particular cases, I would like to point that
> every ROS Release supports only a few subset of the Ubuntu distributions
> (see REP3 http://www.ros.org/reps/rep-0003.html#platforms-by-
> distribution).
>
> This makes some upgrades technically not possible since there could not
> be packages in the ROS repositories available for the new distribution
> in an upgrade process. For example, there is no a single ROS Release
> that support 14.04 and 16.04. I can not see a safe/straightforward
> upgrade path.
>
> If this is not the case, from Open Robotics we are happy help if
> something can be done in ROS packages or repositories.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1768303).
> https://bugs.launchpad.net/bugs/1611737
>
> Title:
> Can't upgrade from a release if ros packages are installed from ROS
> servers
>
> Status in ubuntu-release-upgrader package in Ubuntu:
> Confirmed
>
> Bug description:
> This message was appear when upgrade
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: ubuntu-release-upgrader-core 1:0.220.8
> ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
> Uname: Linux 3.19.0-66-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.14.1-0ubuntu3.21
> Architecture: amd64
> CrashDB: ubuntu
> CurrentDesktop: Unity
> Date: Wed Aug 10 18:41:24 2016
> InstallationDate: Installed on 2015-09-08 (336 days ago)
> InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64
> (20150805)
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1611737/+subscriptions
>

Revision history for this message
SHAHBAZ KHAN (shahbaz99) wrote :

Hey all,
I was facing the same problem. On researching long, I found reason for the cancellation of upgrade was the presence of broken packages. These packages were of ROS as well as of some other softwares. So simply remove those broken packages and then try to upgrade your OS. It will work.

Thanks,
Shahbaz

Revision history for this message
Mohamed Zouhair HARBACHI (mohamed.harbachi) wrote : رد: [Bug 1611737] Re: Can't upgrade from a release if ros packages areinstalled from ROS servers

Thank you very much for your answer.
If I may ask you: How to remove this broken packages?

----- الرسالة الأصلية -----
من: "SHAHBAZ KHAN" <email address hidden>
أرسلت في: ‏18-‏08-‏2018 12:19
إلى: "<email address hidden>" <email address hidden>
الموضوع: [Bug 1611737] Re: Can't upgrade from a release if ros packages areinstalled from ROS servers

Hey all,
I was facing the same problem. On researching long, I found reason for the cancellation of upgrade was the presence of broken packages. These packages were of ROS as well as of some other softwares. So simply remove those broken packages and then try to upgrade your OS. It will work.

Thanks,
Shahbaz

--
You received this bug notification because you are subscribed to a
duplicate bug report (1618107).
https://bugs.launchpad.net/bugs/1611737

Title:
  Can't upgrade from a release if ros packages are installed from ROS
  servers

Status in ubuntu-release-upgrader package in Ubuntu:
  Confirmed

Bug description:
  This message was appear when upgrade

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: ubuntu-release-upgrader-core 1:0.220.8
  ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
  Uname: Linux 3.19.0-66-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.1-0ubuntu3.21
  Architecture: amd64
  CrashDB: ubuntu
  CurrentDesktop: Unity
  Date: Wed Aug 10 18:41:24 2016
  InstallationDate: Installed on 2015-09-08 (336 days ago)
  InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1611737/+subscriptions

Revision history for this message
SHAHBAZ KHAN (shahbaz99) wrote :

Hey Zouhair,
So as to remove the broken packages, I used the following set of commands
sudo apt autoremove, sudo apt purge, sudo apt autoclean.

Hope this may work with you!

Revision history for this message
Mohamed Zouhair HARBACHI (mohamed.harbachi) wrote :

Thank you very much Shahbaz, it works.
First, I used the instructions you gave me which clean the "red circle" notification.
After, to install the updates, I used "sudo apt-get install -f" (I saw this in a recommendation given by the OS).
Thank you very much Shahbaz again and sorry for disturbing you.

----- الرسالة الأصلية -----
من: "SHAHBAZ KHAN" <email address hidden>
أرسلت في: ‏19-‏08-‏2018 10:49
إلى: "<email address hidden>" <email address hidden>
الموضوع: [Bug 1611737] Re: Can't upgrade from a release if ros packages areinstalled from ROS servers

Hey Zouhair,
So as to remove the broken packages, I used the following set of commands
sudo apt autoremove, sudo apt purge, sudo apt autoclean.

Hope this may work with you!

--
You received this bug notification because you are subscribed to a
duplicate bug report (1618107).
https://bugs.launchpad.net/bugs/1611737

Title:
  Can't upgrade from a release if ros packages are installed from ROS
  servers

Status in ubuntu-release-upgrader package in Ubuntu:
  Confirmed

Bug description:
  This message was appear when upgrade

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: ubuntu-release-upgrader-core 1:0.220.8
  ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
  Uname: Linux 3.19.0-66-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.1-0ubuntu3.21
  Architecture: amd64
  CrashDB: ubuntu
  CurrentDesktop: Unity
  Date: Wed Aug 10 18:41:24 2016
  InstallationDate: Installed on 2015-09-08 (336 days ago)
  InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1611737/+subscriptions

Revision history for this message
Jishnu Mohan P R (jishnumohan) wrote :

I had the same error and I solved it.

First remove ros using the command: sudo apt-get remove ros-*

If you have created any workspace you have to remove that too.

If you have added setup scripts to you .bashrc then remove that too. For that use the command:
gedit .bashrc

and then remove all the last commands with ros and your workspaces.

After doing these steps, use the commands: sudo apt-get clean and sudo apt-get autoclean

This will solve the error.

Revision history for this message
John Dorman (dormancell) wrote : Re: [Bug 1611737] Re: Can't upgrade from a release if ros packages are installed from ROS servers

Thanks Jishnu for the information. Much appreciated. I ended up doing a
fresh install of 18.04 and ROS.

On Fri, Mar 22, 2019, 12:50 AM Jishnu Mohan P R <email address hidden>
wrote:

> I had the same error and I solved it.
>
> First remove ros using the command: sudo apt-get remove ros-*
>
> If you have created any workspace you have to remove that too.
>
> If you have added setup scripts to you .bashrc then remove that too. For
> that use the command:
> gedit .bashrc
>
> and then remove all the last commands with ros and your workspaces.
>
> After doing these steps, use the commands: sudo apt-get clean and sudo
> apt-get autoclean
>
> This will solve the error.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1654114).
> https://bugs.launchpad.net/bugs/1611737
>
> Title:
> Can't upgrade from a release if ros packages are installed from ROS
> servers
>
> Status in ubuntu-release-upgrader package in Ubuntu:
> Confirmed
>
> Bug description:
> This message was appear when upgrade
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: ubuntu-release-upgrader-core 1:0.220.8
> ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
> Uname: Linux 3.19.0-66-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.14.1-0ubuntu3.21
> Architecture: amd64
> CrashDB: ubuntu
> CurrentDesktop: Unity
> Date: Wed Aug 10 18:41:24 2016
> InstallationDate: Installed on 2015-09-08 (336 days ago)
> InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64
> (20150805)
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1611737/+subscriptions
>

Revision history for this message
Jean-Marc Le Peuvedic (lepeuvedic) wrote :
Download full text (3.5 KiB)

Thanks to all. I removed a bunch of packages related to ROS and managed to
perform the update. Some issues linked to deep system level changes. 18.04
has more than one way of going a few things, and which one is used depends
on history, server or desktop release ...

Jean-Marc

Le ven. 22 mars 2019 à 19:20, John Dorman <email address hidden> a écrit :

> Thanks Jishnu for the information. Much appreciated. I ended up doing a
> fresh install of 18.04 and ROS.
>
>
> On Fri, Mar 22, 2019, 12:50 AM Jishnu Mohan P R <
> <email address hidden>>
> wrote:
>
> > I had the same error and I solved it.
> >
> > First remove ros using the command: sudo apt-get remove ros-*
> >
> > If you have created any workspace you have to remove that too.
> >
> > If you have added setup scripts to you .bashrc then remove that too. For
> > that use the command:
> > gedit .bashrc
> >
> > and then remove all the last commands with ros and your workspaces.
> >
> > After doing these steps, use the commands: sudo apt-get clean and sudo
> > apt-get autoclean
> >
> > This will solve the error.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1654114).
> > https://bugs.launchpad.net/bugs/1611737
> >
> > Title:
> > Can't upgrade from a release if ros packages are installed from ROS
> > servers
> >
> > Status in ubuntu-release-upgrader package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > This message was appear when upgrade
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 14.04
> > Package: ubuntu-release-upgrader-core 1:0.220.8
> > ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
> > Uname: Linux 3.19.0-66-generic x86_64
> > NonfreeKernelModules: nvidia
> > ApportVersion: 2.14.1-0ubuntu3.21
> > Architecture: amd64
> > CrashDB: ubuntu
> > CurrentDesktop: Unity
> > Date: Wed Aug 10 18:41:24 2016
> > InstallationDate: Installed on 2015-09-08 (336 days ago)
> > InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64
> > (20150805)
> > PackageArchitecture: all
> > SourcePackage: ubuntu-release-upgrader
> > UpgradeStatus: Upgraded to trusty on 2016-08-10 (0 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1611737/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1789507).
> https://bugs.launchpad.net/bugs/1611737
>
> Title:
> Can't upgrade from a release if ros packages are installed from ROS
> servers
>
> Status in ubuntu-release-upgrader package in Ubuntu:
> Confirmed
>
> Bug description:
> This message was appear when upgrade
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: ubuntu-release-upgrader-core 1:0.220.8
> ProcVersionSignature: Ubuntu 3.19.0-66.74~14.04.1-generic 3.19.8-ckt22
> Uname: Linux 3.19.0-66-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.14.1-0ubuntu3.21
> Architecture: amd64
> CrashDB: ubuntu
> CurrentDesktop: Unity
> Date: Wed Aug 10 18:41:24 2016
> InstallationDate: Installed on 2015-09-08 (3...

Read more...

Revision history for this message
Chris Guiver (guiverc) wrote :

I added xenial2bionic as I noted 16.04 to 18.04 bugs were already marked duplicate of this trusty2xenial bug, and I was adding yet another xenial2bionic, so...

tags: added: xenial2bionic
Revision history for this message
Kyle Fazzari (kyrofa) wrote :

> This makes some upgrades technically not possible since there could not be packages in the ROS repositories available for the new distribution in an upgrade process. For example, there is no a single ROS Release that support 14.04 and 16.04. I can not see a safe/straightforward upgrade path.

Jose hit this on the head. This is explicitly not supported by ROS. The problem is, Ubuntu doesn't really have a way of knowing that. I think the best solution to this issue is a nice error message from the upgrader. We can detect that ROS is installed, mention that an upgrade isn't supported, and suggest removing the ROS distro before proceeding.

That said, I'm not familiar with the upgrader. Is there supported way we could hook such logic in?

Kyle Fazzari (kyrofa)
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Kyle Fazzari (kyrofa)
Revision history for this message
Kyle Fazzari (kyrofa) wrote :
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → Confirmed
Kyle Fazzari (kyrofa)
Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.9

---------------
ubuntu-release-upgrader (1:20.10.9) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)

 -- Brian Murray <email address hidden> Fri, 14 Aug 2020 10:26:04 -0700

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: New → Confirmed
Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: New → Confirmed
Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Confirmed → In Progress
assignee: nobody → Brian Murray (brian-murray)
Kyle Fazzari (kyrofa)
description: updated
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Pushin, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.25 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Brian Murray (brian-murray) wrote :

I downloaded the release-upgrader tarball from http://archive.ubuntu.com/ubuntu/dists/focal-proposed/main/dist-upgrader-all/current/ (which is necessary because you can't use do-release-upgrade with -d and -p). I then tried an upgrade having installed 'ros-melodic-ros-base' and was presented with the following message:

The Robot Operating System (ROS) is installed

It appears that ROS is currently installed. Each ROS release is very
strict about the versions of Ubuntu it supports, and Ubuntu upgrades
can fail if that guidance isn't followed. Before continuing, please
either uninstall ROS, or ensure the ROS release you have installed
supports the version of Ubuntu to which you're upgrading.

For ROS 1 releases, refer to REP 3:
https://www.ros.org/reps/rep-0003.html

For ROS 2 releases, refer to REP 2000:
https://www.ros.org/reps/rep-2000.html

Are you sure you want to continue?

So I'm setting the tags to verification-done.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.25

---------------
ubuntu-release-upgrader (1:20.04.25) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)
  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)

 -- Brian Murray <email address hidden> Wed, 26 Aug 2020 08:36:39 -0700

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Kyle Fazzari (kyrofa) wrote :

Here's the patch for Bionic.

Revision history for this message
Kyle Fazzari (kyrofa) wrote :

Note that upgrades to a given release uses the upgrader from that release. As a result, there's no need to SRU this to Xenial, since Xenial-to-Bionic upgrades will use the one from Bionic.

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: Confirmed → Won't Fix
Revision history for this message
Brian Murray (brian-murray) wrote :

I've uploaded this to the Bionic queue for review by the SRU team.

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Pushin, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.41 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done
Revision history for this message
Brian Murray (brian-murray) wrote :

I installed the ros-kinetic-ros-base package for ROS on an Ubuntu 16.04 LTS system and started an upgrade with the version of ubuntu-release-upgrader from -proposed and was presented with the following message:

The Robot Operating System (ROS) is installed

It appears that ROS is currently installed. Each ROS release is very
strict about the versions of Ubuntu it supports, and Ubuntu upgrades
can fail if that guidance isn't followed. Before continuing, please
either uninstall ROS, or ensure the ROS release you have installed
supports the version of Ubuntu to which you're upgrading.

For ROS 1 releases, refer to REP 3:
https://www.ros.org/reps/rep-0003.html

For ROS 2 releases, refer to REP 2000:
https://www.ros.org/reps/rep-2000.html

Are you sure you want to continue?

Subsequently, I'm setting the tags to verification-done.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.41

---------------
ubuntu-release-upgrader (1:18.04.41) bionic; urgency=medium

  [ Kyle Fazzari ]
  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. (LP: #1611737)

 -- Kyle Fazzari <email address hidden> Mon, 26 Oct 2020 10:23:33 -0700

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers